Bug 534238 - (RHQ-1053) convert minicharts/graphs to JSF - metric views
convert minicharts/graphs to JSF - metric views
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubFeature
Depends On:
Blocks: RHQ-1043
  Show dependency treegraph
 
Reported: 2008-11-04 13:47 EST by Joseph Marques
Modified: 2014-11-09 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-11-04 13:47:00 EST
support saving the current ordered list of mini-charts as a named view
support creating a new blank view
support creating a new view from an existing view
support deleting a view
Comment 1 Joseph Marques 2008-12-08 15:42:57 EST
rev2236 - new back-end for measurement views; 
smoke tested by re-integrated old UI functionality to use new back-end; 
will write unit tests to verify the rest; 
Comment 2 Joseph Marques 2008-12-08 16:47:30 EST
rev2239 - remove chart, move chart up, move chart down - all work now and confirms proper operation of new session facade to user measurement view preferences;
Comment 3 Joseph Marques 2009-03-09 09:09:32 EDT
rev3349 - support metric view controls (add new view, delete current view, reload view, switch to other view); 
add back rico.js to the minicharts page, as it is needed for the ajax request to update the current view; 
Comment 4 Jeff Weiss 2009-03-26 14:49:12 EDT
I find this UI very confusing, but the functionality is there and it works.  I think users will have difficulty figuring out how it works though, i had to experiment.  

Also one feature is not implemented:
<jweiss> joseph: http://jira.rhq-project.org/browse/RHQ-1053 - i presume creating views from existing views was not implemented?
<joseph> oops, didn't mean for that to ever be a 2.2 feature
<joseph> that was a typo

rev3509
Comment 5 Red Hat Bugzilla 2009-11-10 15:22:52 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1053

Note You need to log in before you can comment on or make changes to this bug.